summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-gawk
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-gawk')
-rwxr-xr-xgettext-tools/tests/lang-gawk36
1 files changed, 18 insertions, 18 deletions
diff --git a/gettext-tools/tests/lang-gawk b/gettext-tools/tests/lang-gawk
index 47bcb34..33b6831 100755
--- a/gettext-tools/tests/lang-gawk
+++ b/gettext-tools/tests/lang-gawk
@@ -23,8 +23,8 @@ BEGIN {
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o prog.tmp --omit-header --no-location prog.awk || exit 1
-LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog.awk || Exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || Exit 1
cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
@@ -42,7 +42,7 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} prog.ok prog.pot || exit 1
+${DIFF} prog.ok prog.pot || Exit 1
cat <<\EOF > fr.po
msgid ""
@@ -67,11 +67,11 @@ msgstr "%2$s remplace %1$s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
-LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || Exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || Exit 1
: ${DIFF=diff}
-${DIFF} fr.po fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || Exit 1
test -d fr || mkdir fr
test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
@@ -81,10 +81,10 @@ ${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of gawk version 3.1.3 or newer, excluding version 3.1.5.
(gawk --version) >/dev/null 2>/dev/null \
- || { echo "Skipping test: gawk not found"; exit 77; }
+ || { echo "Skipping test: gawk not found"; Exit 77; }
case `gawk --version 2>&1 | sed -e 's/^[^0-9]*//'` in
0.* | 1.* | 2.* | 3.0* | 3.1.0* | 3.1.1* | 3.1.2* | 3.1.5*)
- echo "Skipping test: gawk version too old"; exit 77;;
+ echo "Skipping test: gawk version too old"; Exit 77;;
esac
# Test which of the fr_FR locales are installed.
@@ -95,7 +95,7 @@ if test $LOCALE_FR != none; then
case $? in
0) ;;
77) LOCALE_FR=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR_UTF8 != none; then
@@ -103,7 +103,7 @@ if test $LOCALE_FR_UTF8 != none; then
case $? in
0) ;;
77) LOCALE_FR_UTF8=none;;
- *) exit 1;;
+ *) Exit 1;;
esac
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
@@ -112,7 +112,7 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
else
echo "Skipping test: no french locale is supported"
fi
- exit 77
+ Exit 77
fi
# Test that gawk wasn't built with --disable-nls.
@@ -122,14 +122,14 @@ if test $LOCALE_FR != none; then
LANGUAGE= LC_ALL=$LOCALE_FR gawk --version | grep logiciel > /dev/null
test $? = 0 || {
echo "Skipping test: gawk was built without i18n support"
- exit 77
+ Exit 77
}
fi
if test $LOCALE_FR_UTF8 != none; then
LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 gawk --version | grep logiciel > /dev/null
test $? = 0 || {
echo "Skipping test: gawk was built without i18n support"
- exit 77
+ Exit 77
}
fi
@@ -149,13 +149,13 @@ EOF
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
prepare_locale_ fr $LOCALE_FR
- LANGUAGE= LC_ALL=$LOCALE_FR gawk -v n=2 -f prog.awk > prog.out || exit 1
- ${DIFF} prog.ok prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR gawk -v n=2 -f prog.awk > prog.out || Exit 1
+ ${DIFF} prog.ok prog.out || Exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
prepare_locale_ fr $LOCALE_FR_UTF8
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 gawk -v n=2 -f prog.awk > prog.out || exit 1
- ${DIFF} prog.oku prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 gawk -v n=2 -f prog.awk > prog.out || Exit 1
+ ${DIFF} prog.oku prog.out || Exit 1
fi
-exit 0
+Exit 0